Subject: Re: bug#12196: 24.1.50; setting cache-long-line-scans to non-nil freezes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Sep 2012 21:43:49 +0300

> From: Christopher Schmidt <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 10 Sep 2012 18:31:00 +0100 (BST)
> 
> Eli Zaretskii <[email-masked]> writes:
> > How about the one below?
> 
> Still hangs right during startup with my init.el setting the default of
> cache-long-line-scans to t.

Hangs at the end of the buffer, as in the data you showed me?  That
should not happen anymore, because whenever 'start' becomes more than
'end', Emacs should break from the loop.  What am I missing?

> > Once again, a reproducible recipe with buffer text that causes the
> > infloop would help immensely, TIA.
> 
> With your new patch,
> 
>     emacs -q
>     M-: (setq-default cache-long-line-scans t) RET
>     C-h i
> 
> loops indefinitely.

Not here, sigh...

> I can try to come up with a recipe for a vanilla trunk build and Gnus
> this weekend.

A recipe without Gnus would be preferred.  If you can post a buffer of
text which consistently causes the hang, I could use that here.

By the way, what command causes the hang?

Also, next time you look at the loop in a debugger, step into
region_cache_forward, and type this command at GDB prompt:

 (gdb) call pp_cache (c)

Then post here the results.